Subject: Re: [PATCH] ARM: DTS: vybrid: Update qspi node description for VF610 BK4 board

From: Lukasz Majewski <[email-masked]>
Date: Tue, 30 Jul 2019 17:53:36 +0200

Hi Fabio,

> Hi Lukasz,
> 
> Subject line could be improved:
> 
> ARM: dts: vf610-bk4: Fix qspi node description
> 
> On Tue, Jul 30, 2019 at 12:06 PM Lukasz Majewski <[email-masked]>
> wrote:
> >
> > Before this change the device tree description of qspi node for
> > second memory on BK4 board was wrong (applicable to old, in-house
> > tunned fsl-quadspi.c driver).
> >
> > As a result this memory was not recognized correctly when used
> > with the new spi-fsl-qspi.c driver.
> >
> > From the dt-bindings:
> >
> > "Required SPI slave node properties:
> >   - reg: There are two buses (A and B) with two chip selects each.
> > This encodes to which bus and CS the flash is connected:
> > <0>: Bus A, CS 0
> > <1>: Bus A, CS 1
> > <2>: Bus B, CS 0
> > <3>: Bus B, CS 1"
> >
> > According to above with new driver the second SPI-NOR memory shall
> > have reg=<2> as it is connected to Bus B, CS 0.  
> 
> I am glad you got it working!
> 
> This looks very familiar with the suggestion I sent yesterday:
> http://lists.infradead.org/pipermail/linux-mtd/2019-July/090655.html
> 

Yes, indeed. Deepest apologizes for not adding credits. I will fix it
in v2.

> It is a good practice to give some credit to someone who has helped in
> finding the solution of your problem.
> 
> Adding a Suggested-by: Fabio Estevam <[email-masked]> would be
> nice here.
> 
> This also needs a Fixes tag.

Shall I refer to the original commit (which added this DTS)? Or the
original issue posted to linux-mtd [1] ?

Note:

[1] - https://www.spinics.net/lists/linux-mtd/msg08114.html

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel